Subject: [KEYPROV] Status Code Registry for DSKPP

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 25 Jun 2008 21:54:45 +0300

Here is a text proposal for the status code registry for DSKPP:

--------------------------------------------------

Status Code Registry
====================

 This document requests that the IANA create a new registry for the
 DSKPP protocol including an initial registry for status codes.  The
 status codes are included in a response message and
 defined in the schema in the StatusCode type definition in the
 XML schema in Section 7.

 The following summarizes the requested registry:

Related Registry:  

  KEYPROV DSKPP Registries, Status codes for DSKPP

Defining RFC: 

  RFC XXXX [NOTE TO IANA/RFC-EDITOR: Please replace XXXX
  with the RFC number for this specification.]
  
Registration/Assignment Procedures: 

  Following the policies outlined in [RFC3575], the IANA policy
  for assigning new values for the status codes for DSKPP shall be
  "Specification Required" and their meanings must be
  documented in an RFC or in some other permanent and readily
  available reference, in sufficient detail that interoperability
  between independent implementations is possible.
  No mechanism to mark entries as "deprecated" is
  envisioned.  It is possible to delete or update
  entries from the registry.

Registrant Contact: 

  IETF, KEYPROV working group, ([email-masked]),
  Andrea Doherty ([email-masked]).

  This section pre-registers the initial status codes, as
  described above in Section 4.7, including their textual description.
  The list in Section 4.7 starts with the StatusCode "Continue" and
  ends with the StatusCode "InitializationFailed".

--------------------------------------------------

One would also have to think on what is going to happen if the client 
receives a status code that is not understood. Proposal: Treat it as an 
unrecoverable error.

Ciao
Hannes

_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov